## debian-zh-faq 1.6

=== Makefile ===
# Makefile for debian-zh-faq for Debian.
#
# GNU GPL v2, Copyright (C) 2000, Anthony Fok <foka@debian.org>
#
# Software packages required for building the Postscript and HTML files:
#     cjk-latex, latex2html, gs, slice, zh-autoconvert,
#     tfm-arphic-bsmi00lp, tfm-arphic-gbsn00lp

SHELL = /bin/sh

title-zh_CN = Debian ĳ
DCP-zh_CN   = Debian ļƻ
title-zh_TW = Debian `Dѵ
DCP-zh_TW   = Debian p

locales = zh_CN zh_TW
frames = frame noframe
comma = ,
dvitargets = $(foreach i,$(locales),debian-zh-faq.$(i).dvi)
pstargets = $(foreach i,$(locales),debian-zh-faq.$(i).ps.gz)
pdftargets = $(foreach i,$(locales),debian-zh-faq.$(i).pdf)
htmltargets = $(foreach i,$(locales),$(addprefix html-$(i)-,$(frames)))

# Primary targets

all: dvi ps pdf html

dvi: $(dvitargets)

ps: $(pstargets) dvi

pdf: $(pdftargets)

html: $(htmltargets)

# Common rule

debian-zh-faq.zh_CN.tex debian-zh-faq.zh_TW.tex \
debian-zh-faq-zh_CN-html.tex debian-zh-faq-zh_TW-html.tex: \
	debian-zh-faq.zh.tex.in \
	tocn.pl totw.pl totw_zhe.pl tohtml.pl totw_zhe_html.pl

	slice	-o UNDEFuCN:debian-zh-faq.zh_CN.tex.tmp \
		-o UNDEFuTW:debian-zh-faq.zh_TW.tex.tmp \
		debian-zh-faq.zh.tex.in

	# For LaTeX
	./tocn.pl < debian-zh-faq.zh_CN.tex.tmp \
		> debian-zh-faq.zh_CN.tex
	autob5 < debian-zh-faq.zh_TW.tex.tmp | ./totw.pl | ./totw_zhe.pl \
		> debian-zh-faq.zh_TW.tex

	# For LaTeX2HTML
	./tohtml.pl < debian-zh-faq.zh_CN.tex.tmp | ./tocn.pl \
		> debian-zh-faq-zh_CN-html.tex
	./tohtml.pl < debian-zh-faq.zh_TW.tex.tmp | autob5 | ./totw.pl \
		| ./totw_zhe_html.pl > debian-zh-faq-zh_TW-html.tex

	# Checking to ensure all <s<????>> and <t<????>> are translated...
	@if grep -q '<[st]<' *.tex; then \
		echo "Error!  Unsubstituted <s<????>> or <t<????>> found!" > /dev/stderr; \
		echo "Please double check $< and the Perl scripts." > /dev/stderr; \
		false; \
	fi

	# Good, it passes the test.

# Rules for building gzip'ed Postscript files.

%.zh_CN.dvi: %.zh_CN.tex
	latex $<
#	perl -pi -e 's/(\{mailto:[^@]+)@([^}]+\})/$$1"\@$$2/g;' $(basename $<).idx
	makeindex $(basename $<).idx
	latex $<
	latex $<

%.zh_TW.dvi: %.zh_TW.tex
	bg5latex $<
#	perl -pi -e 's/(\{mailto:[^@]+)@([^}]+\})/$$1"\@$$2/g;' $(basename $<).idx
	makeindex $(basename $<).idx
	bg5latex $<
	bg5latex $<

%.ps: %.dvi
	dvips -t a4 -D 600 -X 600 -Y 600 $< -o

%.ps.gz: %.ps
	gzip -9vf $<

%.pdf: %.dvi
	dvipdfm $<

#%.zh_CN.pdf: %.zh_CN.tex
#	rm -f $(addprefix $(basename $<).,aux idx ilg ind lof log lot toc)
#	pdflatex $<
#	makeindex $(basename $<).idx
#	pdflatex $<
#	pdflatex $<

#%.zh_TW.pdf: %.zh_TW.tex
#	rm -f $(addprefix $(basename $<).,aux cjk idx ilg ind lof log lot toc)
#	bg5conv < $< > $<.cjk
#	pdflatex $<.cjk
#	makeindex $(basename $<).idx
#	pdflatex $<.cjk
#	pdflatex $<.cjk

#%-zh_CN-html.aux: %-zh_CN-html.tex
#	latex $<
#	latex $<
#	rm -f $(<F:tex=dvi)

#%-zh_TW-html.aux: %-zh_TW-html.tex
#	bg5latex $<
#	bg5latex $<
#	rm -f $(<F:tex=dvi)

chineseb5.perl chinesegb.perl: chinese.perl.in
	slice	-o UNDEFuCN:chinesegb.perl.tmp \
		-o UNDEFuTW:chineseb5.perl \
		$<
	autogb < chinesegb.perl.tmp > chinesegb.perl
	rm -f chinesegb.perl.tmp

# Rules for building HTML pages.

$(htmltargets): locale = $(strip $(foreach i,$(locales),$(findstring $(i),$@)))
$(htmltargets): frame = $(patsubst html-$(locale)-%,%,$@)
$(htmltargets): frameopt = $(if $(filter-out noframe,$(frame)),$(comma)$(frame))
$(htmltargets): title = $(title-$(locale))
$(htmltargets): DCP = $(DCP-$(locale))
$(htmltargets): debian-zh-faq-zh_CN-html.tex debian-zh-faq-zh_TW-html.tex \
		chineseb5.perl chinesegb.perl
	rm -rf $(locale)/html/$(frame)s
	-mkdir -p $(locale)/html/$(frame)s
	latex2html -html_version 4.0,table$(frameopt) -split 4 \
		-iso_language $(subst zh_,ZH.,$(locale)) \
		-t '$(title)' \
		-toc_stars -local_icons -show_section_numbers \
		-address '$(DCP)' \
		-dir $(locale)/html/$(frame)s \
		debian-zh-faq-$(locale)-html.tex

# Cleaning up...

clean:
	rm -f *~ DEADJOE *.tex.tmp
	rm -f *.dvi *.ps *.ps.gz *.pdf

distclean: clean
	rm -rf zh_CN zh_TW
	rm -f *.tex *.cjk *.aux *.idx *.ilg *.ind *.lof *.log *.lot *.toc *.out
	rm -f chineseb5.perl chinesegb.perl
	rm -f WARNINGS

.PHONY: all dvi ps html clean distclean $(htmltargets)

=== debian/changelog ===
debian-zh-faq (1.6) unstable; urgency=low

  * Add Build-Depends: tetex-extra. (closes:Bug#133071)

 -- Yu Guanghui <ygh@debian.org>  Sat,  9 Feb 2002 19:22:40 +0800

debian-zh-faq (1.5) unstable; urgency=low

  * New upstream release 

 -- Yu Guanghui <ygh@debian.org>  Fri,  4 Jan 2002 20:48:40 +0800

debian-zh-faq (1.4) unstable; urgency=low

  * New upstream release. 

 -- Yu Guanghui <ygh@debian.org>  Sat, 20 Oct 2001 10:40:08 +0800

debian-zh-faq (1.3) unstable; urgency=low

  * New upstream release. 

 -- Yu Guanghui <ygh@debian.org>  Thu, 23 Aug 2001 19:52:32 +0800

debian-zh-faq (1.2) unstable; urgency=low

  * New upstream release. 

 -- Yu Guanghui <ygh@debian.org>  Fri,  6 Jul 2001 01:06:49 +0800

debian-zh-faq (1.1) unstable; urgency=low

  * New upstream release. 

 -- Yu Guanghui <ygh@debian.org>  Mon, 26 Feb 2001 08:27:57 +0800

debian-zh-faq (1.0) unstable; urgency=low

  * Initial Release.

 -- Yu Guanghui <ygh@debian.org>  Tue, 20 Feb 2001 17:31:16 +0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Build-Depends: debhelper (>= 2.0.72), cjk-latex, latex2html, gs, slice, zh-autoconvert, tfm-arphic-bsmi00lp, tfm-arphic-gbsn00lp, tfm-arphic-gkai00mp, tfm-arphic-bkai00mp, dvipdfm, tetex-extra
Source: debian-zh-faq
Section: doc
Priority: optional
Maintainer: Yu Guanghui <ygh@debian.org>
Standards-Version: 3.5.2

Package: debian-zh-faq-s
Architecture: all
Description: Debian Chinese FAQ (Chinese GB)
 This packages contains the book Debian_Chinese_FAQ (Simplified Chinese
 GB Version), and it answers some frequently asked question about Chinese
 environment setup.  It also introduce the special Chinese software
 in Debian.  Hope it can make you easy to use Chinese in the Debian
 Operating System.
 .
 You may find the installed items under /usr/doc/debian-zh-faq-s.

Package: debian-zh-faq-t
Architecture: all
Description: Debian Chinese FAQ (Chinese Big5)
 This packages contains the book Debian_Chinese_FAQ (Traditional Chinese
 Big5 Version), and it answers some frequently asked question about Chinese
 environment setup.  It also introduces the special Chinese software
 in Debian.  Hope it can make you easy to use Chinese in the Debian
 Operating System.
 .
 You may find the installed items under /usr/doc/debian-zh-faq-t.

=== debian/rules ===
#!/usr/bin/make -f
#

package = debian-zh-faq
SHELL = /bin/sh
d = debian/$(bin-package)

subpkgs = s t
s_locale = zh_CN
t_locale = zh_TW
locale = $($(subpkg)_locale)
binary_subpkgs = $(addprefix binary_,$(subpkgs))
install_subpkgs = $(addprefix install_,$(subpkgs))
clean_subpkgs = $(addprefix clean_,$(subpkgs))
bin-package = $(package)-$(subpkg)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean: $(clean_subpkgs)
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	cd debian \
	&& for i in copyright README.Debian; do \
		slice	-o UNDEFuCN:debian-zh-faq-s.$$i \
			-o UNDEFuTW:debian-zh-faq-t.$$i.tmp \
			$$i.in ; \
		autob5 < debian-zh-faq-t.$$i.tmp > debian-zh-faq-t.$$i ; \
		rm -f debian-zh-faq-t.$$i.tmp ; \
	done \
	&&	slice	-o UNDEFuCN:debian-zh-faq-s.doc-base \
			-o UNDEFuTW:debian-zh-faq-t.doc-base \
			in.doc-base

$(clean_subpkgs): subpkg = $(patsubst clean_%,%,$@) 
$(clean_subpkgs): DH_OPTIONS = -p$(bin-package) -P$(d)
$(clean_subpkgs):
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_clean $(DH_OPTIONS)

install: build $(install_subpkgs)
$(install_subpkgs): subpkg = $(patsubst install_%,%,$@)
$(install_subpkgs): DH_OPTIONS = -p$(bin-package) -P$(d)
$(install_subpkgs): build
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_clean -k $(DH_OPTIONS)
	dh_installdirs $(DH_OPTIONS)

# Build architecture-independent files here.
binary-indep: build install $(binary_subpkgs)
$(binary_subpkgs): subpkg = $(patsubst binary_%,%,$@)
$(binary_subpkgs): DH_OPTIONS = -p$(bin-package) -P$(d)
$(binary_subpkgs): build install
	dh_testdir $(DH_OPTIONS)
	dh_testroot $(DH_OPTIONS)
	dh_installdocs $(DH_OPTIONS) \
		debian-zh-faq.$(locale).ps.gz $(locale)/html
	for i in frames noframes; do ( \
		cd $(d)/usr/share/doc/$(package)-$(subpkg)/html/$$i \
		&& rm -f *.pl *.tex *.log *.aux *.idx WARNINGS \
	); done	
	dh_installchangelogs $(DH_OPTIONS)
	dh_link $(DH_OPTIONS)
	dh_compress $(DH_OPTIONS)
	dh_fixperms $(DH_OPTIONS)
	dh_installdeb $(DH_OPTIONS)
	dh_gencontrol $(DH_OPTIONS)
	dh_md5sums $(DH_OPTIONS)
	dh_builddeb $(DH_OPTIONS)

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install \
	$(subpkgs) $(install_subpkgs) $(binary_subpkgs) $(clean_subpkgs)

## debian-zh-faq 1.9

=== debian/changelog ===
debian-zh-faq (1.9) unstable; urgency=low

  * Temporarily disable convert html file because latex2html
    moved to non-free. (closes:Bug#221332)

 -- Yu Guanghui <ygh@debian.org>  Sat, 31 Jan 2004 00:05:02 +0800

debian-zh-faq (1.8) unstable; urgency=low

  * Don't use hyperref. (closes:Bug#189561)
  * Clean up.

 -- Yu Guanghui <ygh@debian.org>  Thu,  8 May 2003 13:30:28 +0800

debian-zh-faq (1.7) unstable; urgency=low

  * Add English translation. 

 -- Yu Guanghui <ygh@debian.org>  Thu, 15 Aug 2002 14:06:08 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
-Build-Depends: debhelper (>= 2.0.72), cjk-latex, latex2html, gs, slice, zh-autoconvert, tfm-arphic-bsmi00lp, tfm-arphic-gbsn00lp, tfm-arphic-gkai00mp, tfm-arphic-bkai00mp, dvipdfm, tetex-extra
 Source: debian-zh-faq
 Section: doc
+Build-Depends: debhelper (>= 2.0.72), cjk-latex, gs, slice, zh-autoconvert, tfm-arphic-bsmi00lp, tfm-arphic-gbsn00lp, tfm-arphic-gkai00mp, tfm-arphic-bkai00mp, dvipdfm, tetex-extra
 Priority: optional
 Maintainer: Yu Guanghui <ygh@debian.org>
 Standards-Version: 3.5.2

=== debian/rules ===
--- 
+++ 
@@ -73,11 +73,14 @@
 	dh_testdir $(DH_OPTIONS)
 	dh_testroot $(DH_OPTIONS)
 	dh_installdocs $(DH_OPTIONS) \
-		debian-zh-faq.$(locale).ps.gz $(locale)/html
-	for i in frames noframes; do ( \
-		cd $(d)/usr/share/doc/$(package)-$(subpkg)/html/$$i \
-		&& rm -f *.pl *.tex *.log *.aux *.idx WARNINGS \
-	); done	
+		debian-zh-faq.$(locale).ps.gz
+#		debian-zh-faq.$(locale).ps.gz $(locale)/html
+	dh_installdocs $(DH_OPTIONS) \
+		debian-zh-faq.en.ps.gz 
+#	for i in frames noframes; do ( \
+#		&& rm -f *.pl *.tex *.log *.aux *.idx WARNINGS \
+#	); done	
+#		cd $(d)/usr/share/doc/$(package)-$(subpkg)/html/$$i \
 	dh_installchangelogs $(DH_OPTIONS)
 	dh_link $(DH_OPTIONS)
 	dh_compress $(DH_OPTIONS)

## debian-zh-faq 1.10

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,14 @@
 DCP-zh_CN   = Debian ļƻ
 title-zh_TW = Debian `Dѵ
 DCP-zh_TW   = Debian p
+title-en    = Debian Chinese FAQ
+DCP-en      = Debian Chinese Project
 
-locales = zh_CN zh_TW
+L2H_LANG-zh_CN = ZH.CN
+L2H_LANG-zh_TW = ZH.TW
+L2H_LANG-en = EN
+
+locales = zh_CN zh_TW en
 frames = frame noframe
 comma = ,
 dvitargets = $(foreach i,$(locales),debian-zh-faq.$(i).dvi)
@@ -23,7 +29,7 @@
 
 # Primary targets
 
-all: dvi ps pdf html
+all: dvi ps pdf
 
 dvi: $(dvitargets)
 
@@ -35,24 +41,30 @@
 
 # Common rule
 
-debian-zh-faq.zh_CN.tex debian-zh-faq.zh_TW.tex \
-debian-zh-faq-zh_CN-html.tex debian-zh-faq-zh_TW-html.tex: \
+debian-zh-faq.zh_CN.tex debian-zh-faq.zh_TW.tex debian-zh-faq.en.tex \
+debian-zh-faq-zh_CN-html.tex debian-zh-faq-zh_TW-html.tex \
+debian-zh-faq-en-html.tex: \
 	debian-zh-faq.zh.tex.in \
 	tocn.pl totw.pl totw_zhe.pl tohtml.pl totw_zhe_html.pl
 
-	slice	-o UNDEFuCN:debian-zh-faq.zh_CN.tex.tmp \
-		-o UNDEFuTW:debian-zh-faq.zh_TW.tex.tmp \
+	slice	-o UNDEFuZH@uCN-EN:debian-zh-faq.zh_CN.tex.tmp \
+		-o UNDEFuZH@uTW-EN:debian-zh-faq.zh_TW.tex.tmp \
+		-o UNDEFuEN@uCN-ZH:debian-zh-faq.en.tex.tmp \
 		debian-zh-faq.zh.tex.in
 
 	# For LaTeX
 	./tocn.pl < debian-zh-faq.zh_CN.tex.tmp \
 		> debian-zh-faq.zh_CN.tex
+	./tocn.pl < debian-zh-faq.en.tex.tmp \
+		> debian-zh-faq.en.tex
 	autob5 < debian-zh-faq.zh_TW.tex.tmp | ./totw.pl | ./totw_zhe.pl \
 		> debian-zh-faq.zh_TW.tex
 
 	# For LaTeX2HTML
 	./tohtml.pl < debian-zh-faq.zh_CN.tex.tmp | ./tocn.pl \
 		> debian-zh-faq-zh_CN-html.tex
+	./tohtml.pl < debian-zh-faq.en.tex.tmp | ./tocn.pl \
+		> debian-zh-faq-en-html.tex
 	./tohtml.pl < debian-zh-faq.zh_TW.tex.tmp | autob5 | ./totw.pl \
 		| ./totw_zhe_html.pl > debian-zh-faq-zh_TW-html.tex
 
@@ -81,6 +93,12 @@
 	bg5latex $<
 	bg5latex $<
 
+%.en.dvi: %.en.tex
+	latex $<
+	makeindex $(basename $<).idx
+	latex $<
+	latex $<
+
 %.ps: %.dvi
 	dvips -t a4 -D 600 -X 600 -Y 600 $< -o
 
@@ -90,20 +108,33 @@
 %.pdf: %.dvi
 	dvipdfm $<
 
-#%.zh_CN.pdf: %.zh_CN.tex
+# Note: We are not using pdfTeX yet because I haven't figured out how
+#       to preserve all the nice hyperlinks with pdfTeX.
+#       Until then, let's stick with dvipdfm, or perhaps dvipdfm-cjk!  :-)
+
+#%.zh_TW.cjk: %.zh_TW.tex
+#	rm -f $(addprefix $(basename $<).,aux cjk idx ilg ind lof log lot toc)
+#	bg5conv < $< > $@
+
+#%.zh_TW.pdf: %.zh_TW.cjk pdftex.cfg
+#	pdflatex $<
+#	makeindex $(basename $<).idx
+#	pdflatex $<
+#	pdflatex $<
+
+#%.zh_CN.pdf: %.zh_CN.tex pdftex.cfg
 #	rm -f $(addprefix $(basename $<).,aux idx ilg ind lof log lot toc)
 #	pdflatex $<
 #	makeindex $(basename $<).idx
 #	pdflatex $<
 #	pdflatex $<
 
-#%.zh_TW.pdf: %.zh_TW.tex
-#	rm -f $(addprefix $(basename $<).,aux cjk idx ilg ind lof log lot toc)
-#	bg5conv < $< > $<.cjk
-#	pdflatex $<.cjk
+#%.en.pdf: %.en.tex pdftex.cfg
+#	rm -f $(addprefix $(basename $<).,aux idx ilg ind lof log lot toc)
+#	pdflatex $<
 #	makeindex $(basename $<).idx
-#	pdflatex $<.cjk
-#	pdflatex $<.cjk
+#	pdflatex $<
+#	pdflatex $<
 
 #%-zh_CN-html.aux: %-zh_CN-html.tex
 #	latex $<
@@ -129,12 +160,13 @@
 $(htmltargets): frameopt = $(if $(filter-out noframe,$(frame)),$(comma)$(frame))
 $(htmltargets): title = $(title-$(locale))
 $(htmltargets): DCP = $(DCP-$(locale))
+$(htmltargets): L2H_LANG = $(L2H_LANG-$(locale))
 $(htmltargets): debian-zh-faq-zh_CN-html.tex debian-zh-faq-zh_TW-html.tex \
-		chineseb5.perl chinesegb.perl
+		debian-zh-faq-en-html.tex chineseb5.perl chinesegb.perl
 	rm -rf $(locale)/html/$(frame)s
 	-mkdir -p $(locale)/html/$(frame)s
 	latex2html -html_version 4.0,table$(frameopt) -split 4 \
-		-iso_language $(subst zh_,ZH.,$(locale)) \
+		-iso_language $(L2H_LANG) \
 		-t '$(title)' \
 		-toc_stars -local_icons -show_section_numbers \
 		-address '$(DCP)' \
@@ -148,7 +180,7 @@
 	rm -f *.dvi *.ps *.ps.gz *.pdf
 
 distclean: clean
-	rm -rf zh_CN zh_TW
+	rm -rf zh_CN zh_TW en
 	rm -f *.tex *.cjk *.aux *.idx *.ilg *.ind *.lof *.log *.lot *.toc *.out
 	rm -f chineseb5.perl chinesegb.perl
 	rm -f WARNINGS

=== debian/changelog ===
debian-zh-faq (1.10) unstable; urgency=low

  * Fix lost changelog. Thanks Russ Allbery's patch 
  	(closes:Bug#262434) 

 -- Yu Guanghui <ygh@debian.org>  Sat,  7 Aug 2004 23:01:28 +0800

## debian-zh-faq 1.11

=== Makefile ===
--- 
+++ 
@@ -106,7 +106,7 @@
 	gzip -9vf $<
 
 %.pdf: %.dvi
-	dvipdfm $<
+	dvipdfmx $<
 
 # Note: We are not using pdfTeX yet because I haven't figured out how
 #       to preserve all the nice hyperlinks with pdfTeX.

=== debian/changelog ===
debian-zh-faq (1.11) unstable; urgency=low

  * Changed font 'ming' to 'bsmi', 'song' to 'gbsn'. (Closes:Bug#393734)
  * Replaced cjk-latex with latex-cjk-chinese in build-deps. 
  * Added dvipdfmx to build-deps.

 -- Yu Guanghui <ygh@debian.org>  Tue,  5 Dec 2006 14:57:51 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: debian-zh-faq
 Section: doc
-Build-Depends: debhelper (>= 2.0.72), cjk-latex, gs, slice, zh-autoconvert, tfm-arphic-bsmi00lp, tfm-arphic-gbsn00lp, tfm-arphic-gkai00mp, tfm-arphic-bkai00mp, dvipdfm, tetex-extra
+Build-Depends: debhelper (>= 2.0.72), latex-cjk-chinese, gs, slice, zh-autoconvert, latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, dvipdfmx
 Priority: optional
 Maintainer: Yu Guanghui <ygh@debian.org>
 Standards-Version: 3.5.2

=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,7 @@
 #	for i in frames noframes; do ( \
 #		&& rm -f *.pl *.tex *.log *.aux *.idx WARNINGS \
 #	); done	
-#		cd $(d)/usr/share/doc/$(package)-$(subpkg)/html/$$i \
+#		cd $(d)/usr/share/doc/$(package)-$(subpkg)/html/$$i 
 	dh_installchangelogs $(DH_OPTIONS)
 	dh_link $(DH_OPTIONS)
 	dh_compress $(DH_OPTIONS)

## debian-zh-faq 1.11+nmu1

=== debian/changelog ===
debian-zh-faq (1.11+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/changelog
    - Remove obsolete Emacs local variables.
    - Move to packaging format "3.0 (native)".
  * debian/chnagelog
    - Delete EOL whitespaces.
  * debian/compat
    - New file.
  * debian/control
    - (Build-Depends): update obsolete gs to ghostscript.
      (important; Closes: #575617).
      Update to debhelper 7.1.
    - (Description): Fix spelling.
    - (Depends): Add ${misc:Depends}.
    - (Homepage): Update to Freshmeat.
    - (Maintainer): Set to QA Group.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Update layout. Point to GPL-2.
  * debian/in.doc-base
    - (Files): Correct file locations (E: Lintian).
  * debian/README.Debian.in
    - Fix spelling.
  * debian/rules
    - (DH_COMPAT): Remove; obsolete.
    - (install_subpkgs): Update dh_clean to dh_prep.
    - (clean): Fix lintian debian-rules-ignores-make-clean-error.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 08 May 2010 22:13:12 +0300

=== debian/control ===
Source: debian-zh-faq
Section: doc
Build-Depends: debhelper (>= 7.1), latex-cjk-chinese, ghostscript, slice, zh-autoconvert, latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, dvipdfmx
Priority: optional
Maintainer: Yu Guanghui <ygh@debian.org>
Standards-Version: 3.8.4

Package: debian-zh-faq-s
Depends: ${misc:Depends}
Architecture: all
Description: Debian Chinese FAQ (Chinese GB)
 This package contains the book Debian_Chinese_FAQ (Simplified Chinese
 GB Version), and it answers some frequently asked question about Chinese
 environment setup. It also introduce the special Chinese software
 in Debian. Hope it can help you to use the Debian Operating System.
 .
 You can find the documentation in directory /usr/doc/debian-zh-faq-s.

Package: debian-zh-faq-t
Depends: ${misc:Depends}
Architecture: all
Description: Debian Chinese FAQ (Chinese Big5)
 This package contain the book Debian_Chinese_FAQ (Traditional Chinese
 Big5 Version), and it answers some frequently asked question about Chinese
 environment setup. It also introduces the special Chinese software
 in Debian. Hope it can help you to use the Debian Operating System.
 .
 You can find the documentation in directory /usr/doc/debian-zh-faq-t.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=1
-
 build: build-stamp
 build-stamp:
 	dh_testdir
@@ -35,7 +32,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 
 	cd debian \
 	&& for i in copyright README.Debian; do \
@@ -62,7 +59,7 @@
 $(install_subpkgs): build
 	dh_testdir $(DH_OPTIONS)
 	dh_testroot $(DH_OPTIONS)
-	dh_clean -k $(DH_OPTIONS)
+	dh_prep
 	dh_installdirs $(DH_OPTIONS)
 
 # Build architecture-independent files here.

## debian-zh-faq 1.12

=== debian/changelog ===
debian-zh-faq (1.12) unstable; urgency=low

  * New maintainer. (Closes: #629011)
  * debian/control:
    - bump standards version to 3.9.2.
    - add Vcs-* fields.
    - update description.
  * debian/README.Debian.in: change encoding to UTF-8.
  * debian/rules: remove generated files.

 -- LI Daobing <lidaobing@debian.org>  Sat, 04 Jun 2011 17:46:24 +0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: doc
 Build-Depends: debhelper (>= 7.1), latex-cjk-chinese, ghostscript, slice, zh-autoconvert, latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, dvipdfmx
 Priority: optional
-Maintainer: Yu Guanghui <ygh@debian.org>
-Standards-Version: 3.8.4
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Uploaders:
+ LI Daobing <lidaobing@debian.org>
+Standards-Version: 3.9.2
+Vcs-Git: git://anonscm.debian.org/chinese/debian-zh-faq.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=chinese/debian-zh-faq.git
 
 Package: debian-zh-faq-s
 Depends: ${misc:Depends}
@@ -14,7 +18,7 @@
  environment setup. It also introduce the special Chinese software
  in Debian. Hope it can help you to use the Debian Operating System.
  .
- You can find the documentation in directory /usr/doc/debian-zh-faq-s.
+ You can find the documentation in directory /usr/share/doc/debian-zh-faq-s.
 
 Package: debian-zh-faq-t
 Depends: ${misc:Depends}
@@ -25,4 +29,4 @@
  environment setup. It also introduces the special Chinese software
  in Debian. Hope it can help you to use the Debian Operating System.
  .
- You can find the documentation in directory /usr/doc/debian-zh-faq-t.
+ You can find the documentation in directory /usr/share/doc/debian-zh-faq-t.

## debian-zh-faq 1.13

=== debian/changelog ===
debian-zh-faq (1.13) unstable; urgency=low

  * Fix "FTBFS: ! LaTeX Error: File `url.sty' not found." (Closes: #666660)
    - add build-depends: texlive-latex-recommended

 -- LI Daobing <lidaobing@debian.org>  Sun, 29 Apr 2012 12:33:23 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: debian-zh-faq
 Section: doc
-Build-Depends: debhelper (>= 7.1), latex-cjk-chinese, ghostscript, slice, zh-autoconvert, latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, dvipdfmx
+Build-Depends: debhelper (>= 7.1), latex-cjk-chinese, ghostscript, slice, zh-autoconvert, latex-cjk-chinese-arphic-bsmi00lp, latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp, dvipdfmx, texlive-latex-recommended
 Priority: optional
 Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	&&	slice	-o UNDEFuCN:debian-zh-faq-s.doc-base \
 			-o UNDEFuTW:debian-zh-faq-t.doc-base \
 			in.doc-base
+	rm -f debian/debian-zh-faq-s.README.Debian debian/debian-zh-faq-t.README.Debian
 
 $(clean_subpkgs): subpkg = $(patsubst clean_%,%,$@) 
 $(clean_subpkgs): DH_OPTIONS = -p$(bin-package) -P$(d)

## debian-zh-faq 1.13+nmu1

=== debian/changelog ===
debian-zh-faq (1.13+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "debian-zh-faq FTBFS with perl 5.26":
    escape literal left braces in regexps in ./totw.pl
    (Closes: #871818)

 -- gregor herrmann <gregoa@debian.org>  Wed, 16 Aug 2017 03:47:41 +0200
